login:
  path: /
  controller: Symfony\Bundle\FrameworkBundle\Controller\RedirectController::urlRedirectAction
  defaults:
    path: /login
    permanent: true

###############
# USER #
connectApi:
  path: /adminApi/connect
  controller: App\Controller\UserController::connectApi

forgotPassword:
  path: /forgotPassword
  controller: App\Controller\UserController::forgotPassword

newUser:
  path: /{_locale}/user/new
  controller: App\Controller\UserController::newUser
  requirements:
    _locale: fr|en|nl

account:
  path: /{_locale}/user/account
  controller: App\Controller\UserController::account
  requirements:
    _locale: fr|en|nl

getUserImage:
  path: /user/image/{id}
  controller: App\Controller\UserController::getUserImage
###############

###############
# Panel ADMIN #
panelAdmin:
  path: /{_locale}/panelAdmin
  controller: App\Controller\AdminController::panelAdmin
  requirements:
    _locale: fr|en|nl

getAllUsers:
  path: /panelAdmin/getAllUsers
  controller: App\Controller\AdminController::getAllUsers

getUserDataTable:
  path: /panelAdmin/getUserDataTable
  controller: App\Controller\AdminController::getUserDataTable

addUser:
  path: /panelAdmin/addUser
  controller: App\Controller\AdminController::addUser

editUser:
  path: /panelAdmin/editUser
  controller: App\Controller\AdminController::editUser

deleteUser:
  path: /panelAdmin/deleteUser
  controller: App\Controller\AdminController::deleteUser

###############

###############
# Settings #

addGraphToDashboard:
  path: /settings/add-graph-to-dashboard
  controller: App\Controller\SettingsController::addGraphToDashboard

editGraphFromDashboard:
  path: /settings/edit-graph-from-dashboard
  controller: App\Controller\SettingsController::editGraphFromDashboard

removeGraphFromDashboard:
  path: /settings/remove-graph-from-dashboard
  controller: App\Controller\SettingsController::removeGraphFromDashboard

changeDashboard:
  path: /settings/changeDashboard
  controller: App\Controller\SettingsController::changeDashboard

###############

###############
# Global #
getFilter:
  path: /global/getFilter
  controller: App\Controller\GlobalController::getFilter

searchCommonArticle:
  path: /global/searchCommonArticle
  controller: App\Controller\GlobalController::searchCommonArticle

searchCommonFamily:
  path: /global/searchCommonFamily
  controller: App\Controller\GlobalController::searchCommonFamily

searchCommonCustomer:
  path: /global/searchCommonCustomer
  controller: App\Controller\GlobalController::searchCommonCustomer

searchCommonSupplier:
  path: /global/searchCommonSupplier
  controller: App\Controller\GlobalController::searchCommonSupplier

###############



###############
# Dashboard #
dashboard:
  path: /{_locale}/dashboard
  controller: App\Controller\DashboardController::dashboard
  requirements:
    _locale: fr|en|nl

###############

##### DATA PAGE  ####
salesEvolution:
  path: /{_locale}/page/salesEvolution
  controller: App\Controller\DataPageController::salesEvolution
  requirements:
    _locale: fr|en|nl

salesRepartition:
  path: /{_locale}/page/salesRepartition
  controller: App\Controller\DataPageController::salesRepartition
  requirements:
    _locale: fr|en|nl

salesTop:
  path: /{_locale}/page/salesTop
  controller: App\Controller\DataPageController::salesTop
  requirements:
    _locale: fr|en|nl

purchaseEvolution:
  path: /{_locale}/page/purchaseEvolution
  controller: App\Controller\DataPageController::purchaseEvolution
  requirements:
    _locale: fr|en|nl

purchaseRepartition:
  path: /{_locale}/page/purchaseRepartition
  controller: App\Controller\DataPageController::purchaseRepartition
  requirements:
    _locale: fr|en|nl

purchaseTop:
  path: /{_locale}/page/purchaseTop
  controller: App\Controller\DataPageController::purchaseTop
  requirements:
    _locale: fr|en|nl

prodInEvolution:
  path: /{_locale}/page/prodInEvolution
  controller: App\Controller\DataPageController::prodInEvolution
  requirements:
    _locale: fr|en|nl

prodOutEvolution:
  path: /{_locale}/page/prodOutEvolution
  controller: App\Controller\DataPageController::prodOutEvolution
  requirements:
    _locale: fr|en|nl

decInEvolution:
  path: /{_locale}/page/decInEvolution
  controller: App\Controller\DataPageController::decInEvolution
  requirements:
    _locale: fr|en|nl

decOutEvolution:
  path: /{_locale}/page/decOutEvolution
  controller: App\Controller\DataPageController::decOutEvolution
  requirements:
    _locale: fr|en|nl

marginEvolution:
  path: /{_locale}/page/marginEvolution
  controller: App\Controller\DataPageController::marginEvolution
  requirements:
    _locale: fr|en|nl

comparisonType1:
  path: /{_locale}/page/comparisonType1
  controller: App\Controller\ComparisonController::comparisonType1
  requirements:
    _locale: fr|en|nl

comparisonType2:
  path: /{_locale}/page/comparisonType2
  controller: App\Controller\ComparisonController::comparisonType2
  requirements:
    _locale: fr|en|nl

comparisonType3:
  path: /{_locale}/page/comparisonType3
  controller: App\Controller\ComparisonController::comparisonType3
  requirements:
    _locale: fr|en|nl

testNewKpi:
  path: /{_locale}/page/testNewKpi
  controller: App\Controller\TestNewKpiController::testNewKpi
  requirements:
    _locale: fr|en|nl
###############


##### CHART  ###
chartKpi:
  path: /chart/kpi
  controller: App\Controller\DataChartController::chartKpi

chartKpiLevel2:
  path: /chart/kpi/level2
  controller: App\Controller\DataChartController::chartKpiLevel2

chartKpiLevel3:
  path: /chart/kpi/level3
  controller: App\Controller\DataChartController::chartKpiLevel3

chartComparisonType1:
  path: /chart/comparisonType1
  controller: App\Controller\ComparisonController::chartComparisonType1

chartComparisonType2:
  path: /chart/comparisonType2
  controller: App\Controller\ComparisonController::chartComparisonType2

chartComparisonType3:
  path: /chart/comparisonType3
  controller: App\Controller\ComparisonController::chartComparisonType3

chartTestNewKpi:
  path: /chart/testNewKpi
  controller: App\Controller\TestNewKpiController::chartTestNewKpi


##### OPENAI  ###

generateArray:
  path: /openai/array
  controller: App\Controller\OpenAiController::generateArray

generateGraphic:
  path: /openai/graphic
  controller: App\Controller\OpenAiController::generateGraphic